import request from '@/utils/request'

// 查询电子卡费用列表
export function listEcardPrice(query) {
  return request({
    url: '/system/EcardPrice/list',
    method: 'get',
    params: query
  })
}

// 查询电子卡费用详细
export function getEcardPrice(id) {
  return request({
    url: '/system/EcardPrice/' + id,
    method: 'get'
  })
}

// 新增电子卡费用
export function addEcardPrice(data) {
  return request({
    url: '/system/EcardPrice',
    method: 'post',
    data: data
  })
}

// 修改电子卡费用
export function updateEcardPrice(data) {
  return request({
    url: '/system/EcardPrice',
    method: 'put',
    data: data
  })
}

// 删除电子卡费用
export function delEcardPrice(id) {
  return request({
    url: '/system/EcardPrice/' + id,
    method: 'delete'
  })
}
